Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects.validation.exception
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.eindex.master.EViewException
                  com.stc.eindex.master.UserException
                      com.stc.eindex.objects.validation.exception.ValidationException

All Implemented Interfaces:
  java.io.Serializable

public class ValidationException
extends UserException

The ValidationException class represents an exception thrown when there is an error performing the specified validation against a field.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ValidationException()` Creates a new instance of the ValidationException class without an error message.
`ValidationException(java.lang.String msg)` Creates a new instance of the ValidationException class with an error message.
`ValidationException(java.lang.String systemCode, java.lang.String systemDesc, java.lang.String format, java.lang.String id, java.lang.String msg)` Creates a new instance of the ValidationException class with an error message.
`ValidationException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of the ValidationException class with an error message and a chain of errors.
`ValidationException(java.lang.Throwable t)` Creates a new instance of the ValidationException class without an error message but with a chain of errors.

Method Summary
`java.lang.String` | `getFormat()` Retrieves the expected format of the local IDs generated by the given system.
`java.lang.String` | `getId()` Retrieves the local ID being validated.
`java.lang.String` | `getSystemCode()` Retrieves the system code of the system from which the system object originated.
`java.lang.String` | `getSystemDescription()` Retrieves the system description of the system from which the system object originated.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException()

  Creates a new instance of the ValidationException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### ValidationException

    public ValidationException(java.lang.String msg)

  Creates a new instance of the ValidationException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### ValidationException

    public ValidationException(java.lang.String systemCode,
                               java.lang.String systemDesc,
                               java.lang.String format,
                               java.lang.String id,
                               java.lang.String msg)

  Creates a new instance of the ValidationException class with an error message. This exception is specifically designed for use when validating the format of a local ID in an incoming message.

  Parameters:
    `systemCode` - The processing code of the system from which the record originated.
    `systemDesc` - A description of the system from which the record originated (this is generally the full name of the system).
    `format` - The expected format of the local IDs generated by the specified system.
    `id` - The local ID being validated.
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### ValidationException

    public ValidationException(java.lang.String msg,
                               java.lang.Throwable t)

  Creates a new instance of the ValidationException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

### ValidationException

    public ValidationException(java.lang.Throwable t)

  Creates a new instance of the ValidationException class without an error message but with a chain of errors.

  Parameters:
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

Method Detail

### getFormat

    public java.lang.String getFormat()

  Retrieves the expected format of the local IDs generated by the given system.

  Parameters:
    None.

  Returns:
    String The local ID format for the system.
  Throws:
    None.

### getId

    public java.lang.String getId()

  Retrieves the local ID being validated.

  Parameters:
    None.

  Returns:
    String The local ID being validated.
  Throws:
    None.

### getSystemCode

    public java.lang.String getSystemCode()

  Retrieves the system code of the system from which the system object originated.

  Parameters:
    None.

  Returns:
    String The processing code for the system.
  Throws:
    None.

### getSystemDescription

    public java.lang.String getSystemDescription()

  Retrieves the system description of the system from which the system object originated. This is typically the full name of the system.

  Parameters:
    None.

  Returns:
    String The description for the system.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.